All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Count Zero Crossings
Statistical Functions

Calculates the number of zero crossings in a signal. More...

## Functions

NppStatus | nppsZeroCrossingGetBufferSize_16s32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsZeroCrossing_16s32f. More...
NppStatus | nppsZeroCrossingGetBufferSize_16s32f (int nLength, int *hpBufferSize)
NppStatus | nppsZeroCrossing_16s32f_Ctx (const Npp16s *pSrc, int nLength, Npp32f *pValZC, NppsZCType tZCType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer zero crossing method, return value is 32-bit floating point. More...
NppStatus | nppsZeroCrossing_16s32f (const Npp16s *pSrc, int nLength, Npp32f *pValZC, NppsZCType tZCType, Npp8u *pDeviceBuffer)
NppStatus | nppsZeroCrossingGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsZeroCrossing_32f. More...
NppStatus | nppsZeroCrossingGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsZeroCrossing_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pValZC, NppsZCType tZCType, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit floating-point zero crossing method, return value is 32-bit floating point. More...
NppStatus | nppsZeroCrossing_32f (const Npp32f *pSrc, int nLength, Npp32f *pValZC, NppsZCType tZCType, Npp8u *pDeviceBuffer)

## Detailed Description

Calculates the number of zero crossings in a signal.

## Function Documentation

NppStatus nppsZeroCrossing_16s32f | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32f * | pValZC,
|  | NppsZCType | tZCType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsZeroCrossing_16s32f_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32f * | pValZC,
|  | NppsZCType | tZCType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer zero crossing method, return value is 32-bit floating point.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pValZC | Pointer to the output result.
  tZCType | Type of the zero crossing measure: nppZCR, nppZCXor or nppZCC.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsZeroCrossingGetBufferSize_16s32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZeroCrossing_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pValZC,
|  | NppsZCType | tZCType,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsZeroCrossing_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pValZC,
|  | NppsZCType | tZCType,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating-point zero crossing method, return value is 32-bit floating point.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pValZC | Pointer to the output result.
  tZCType | Type of the zero crossing measure: nppZCR, nppZCXor or nppZCC.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsZeroCrossingGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZeroCrossingGetBufferSize_16s32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsZeroCrossingGetBufferSize_16s32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsZeroCrossing_16s32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsZeroCrossingGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsZeroCrossingGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsZeroCrossing_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2020 NVIDIA Corporation